Device API
libplayerc

The device object provides a common interface to the functionality that is shared by all device proxies (in OOP parlance, it is a base class). More...

## Classes

struct | _playerc_device_t
| Common device info. More...

## Typedefs

typedef struct _playerc_device_t | playerc_device_t
| Common device info. More...

## Functions

PLAYERC_EXPORT void | playerc_device_init (playerc_device_t *device, playerc_client_t *client, int code, int index, playerc_putmsg_fn_t putmsg)
| Initialise the device. More...
PLAYERC_EXPORT void | playerc_device_term (playerc_device_t *device)
| Finalize the device. More...
PLAYERC_EXPORT int | playerc_device_subscribe (playerc_device_t *device, int access)
| Subscribe the device. More...
PLAYERC_EXPORT int | playerc_device_unsubscribe (playerc_device_t *device)
| Unsubscribe the device. More...
PLAYERC_EXPORT int | playerc_device_hascapability (playerc_device_t *device, uint32_t type, uint32_t subtype)
| Request capabilities of device.
PLAYERC_EXPORT int | playerc_device_get_boolprop (playerc_device_t *device, char *property, BOOL *value)
| Request a boolean property.
PLAYERC_EXPORT int | playerc_device_set_boolprop (playerc_device_t *device, char *property, BOOL value)
| Set a boolean property.
PLAYERC_EXPORT int | playerc_device_get_intprop (playerc_device_t *device, char *property, int32_t *value)
| Request an integer property.
PLAYERC_EXPORT int | playerc_device_set_intprop (playerc_device_t *device, char *property, int32_t value)
| Set an integer property.
PLAYERC_EXPORT int | playerc_device_get_dblprop (playerc_device_t *device, char *property, double *value)
| Request a double property.
PLAYERC_EXPORT int | playerc_device_set_dblprop (playerc_device_t *device, char *property, double value)
| Set a double property.
PLAYERC_EXPORT int | playerc_device_get_strprop (playerc_device_t *device, char *property, char **value)
| Request a string property.
PLAYERC_EXPORT int | playerc_device_set_strprop (playerc_device_t *device, char *property, char *value)
| Set a string property.

## Detailed Description

The device object provides a common interface to the functionality that is shared by all device proxies (in OOP parlance, it is a base class).

In general, this object should not be instantiated or accessed directly: use the device proxies instead.

## Typedef Documentation

typedef struct _playerc_device_t playerc_device_t

Common device info.

## Function Documentation

PLAYERC_EXPORT void playerc_device_init | ( | playerc_device_t * | device,
|  | playerc_client_t * | client,
|  | int | code,
|  | int | index,
|  | playerc_putmsg_fn_t | putmsg
| ) |  |

Initialise the device.

Additional callbacks for geom and config

PLAYERC_EXPORT int playerc_device_subscribe | ( | playerc_device_t * | device,
|  | int | access
| ) |  |

Subscribe the device.

PLAYERC_EXPORT void playerc_device_term | ( | playerc_device_t * | device | ) |

Finalize the device.

PLAYERC_EXPORT int playerc_device_unsubscribe | ( | playerc_device_t * | device | ) |

Unsubscribe the device.

Last updated 12 September 2005 21:38:45